require 'erb'
require 'peridot/file_access'
require 'peridot/ignores'
require 'peridot/version'
require 'peridot/watcher'

module Peridot
  def self.included(base)
    base.send :include, FileAccess
    base.send :include, Ignores
    load 'peridot/tasks.rake'
  end
end

include(Peridot) if $PROGRAM_NAME =~ /\/rake[\w\d\S]*$/
