module Peridot
  module Ignores
    def ignored_files
      @ignored_files ||= %w(Rakefile README.*$ \.erb$)
    end

    def ignored_files=(files)
      @ignored_files = files
    end

    def ignored?(file)
      ignored_files.any? { |ignore_expr| file.match ignore_expr }
    end
  end
end
