require 'listen'

module Peridot
  class Watcher
    def initialize(*args)
      @args = args
    end

    def install!
      puts 'Peridot is watching for changes'
      @listener = ::Listen.to(Dir.pwd.to_s)
      @listener.change do
        @listener.pause
        run_command!
        @listener.unpause
      end
      @listener.start!
    end

    def run_command!
      command = @args.unshift('rake').join(' ')
      puts(command)
      system(command)
    end
  end
end
